Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029766
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POSmajorhave not tried2015-05-04 16:102015-06-17 02:37
ReportermtaalView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in VersionRR15Q3
StatusclosedFix in branchFixed in SCM revisionaadb5f0c8865
ProjectionnoneETAnoneTarget VersionRR15Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029766: Retail Operations Buffer: store all transactions in operations table before processing

DescriptionThe proposal is to store all transactions received from WebPOS first in an intermediate buffer table before they are processed.

The advantage is that sending data from WebPOS to the backend is fast and that processing can be done in parallel (for different stores) in a more controlled way.

Also having a table with the exact data received from WebPOS is a good log for backend processing of data from WebPOS.
Steps To Reproducehttp://wiki.openbravo.com/wiki/Projects:Retail_Operations_Buffer [^]
TagsNo tags attached.
Attached Files file icon Code Review Comments and Reactions [^] (8,039 bytes) 2015-06-02 17:35 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0030406 closedalostale Openbravo ERP NPE when stopping Tomcat if there are no ImportEntry services available 
related to feature request 0034596 closedalostale Openbravo ERP make configurable ImportEntry wait time 
causes defect 00299213.0PR15Q3 closedmtaal Openbravo ERP ImportEntryProcessor.LocalHttpRequest compilation errors with Tomcat 7 
causes defect 0032331 closedmarvintm Retail Modules Tickets not included in cashup if cashup was done offline 

-  Notes
(0077254)
hgbot (developer)
2015-05-08 22:37

Repository: erp/devel/pi
Changeset: 1c222c822fc5f4a3584ba2478390141742bb9e30
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri May 08 22:36:28 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1c222c822fc5f4a3584ba2478390141742bb9e30 [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Generic part of import entries, table definition, window/tabs, main import entry framework classes

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_PACKAGE.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/AD_TABLE.xml
M src-db/database/sourcedata/AD_TREENODE.xml
M src-db/database/sourcedata/AD_WINDOW.xml
M src-db/database/sourcedata/M_OFFER_TYPE.xml
A src-db/database/model/tables/C_IMPORT_ENTRY.xml
A src-db/database/model/tables/C_IMPORT_ENTRY_ARCHIVE.xml
A src/org/openbravo/service/importprocess/ImportEntryArchiveManager.java
A src/org/openbravo/service/importprocess/ImportEntryArchivePreProcessor.java
A src/org/openbravo/service/importprocess/ImportEntryManager.java
A src/org/openbravo/service/importprocess/ImportEntryPreProcessor.java
A src/org/openbravo/service/importprocess/ImportEntryProcessor.java
A src/org/openbravo/service/importprocess/ImportProcessContextListener.java
A src/org/openbravo/service/importprocess/ImportProcessUtils.java
---
(0077255)
hgbot (developer)
2015-05-08 22:39

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 111c0d56d9b2f713c88e9465824c01092bd0829e
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri May 08 22:38:59 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/111c0d56d9b2f713c88e9465824c01092bd0829e [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Generic mobile part of import process, integration/link with json data synchronization code

---
M src/org/openbravo/mobile/core/process/DataSynchronizationProcess.java
M src/org/openbravo/mobile/core/process/MobileService.java
M web/org.openbravo.mobile.core/source/model/ob-terminal-model.js
A src/org/openbravo/mobile/core/process/DataSynchronizationImportProcess.java
A src/org/openbravo/mobile/core/process/MobileImportEntryProcessorRunnable.java
---
(0077256)
hgbot (developer)
2015-05-08 22:46

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: aadb5f0c88651e5fb6399c01b57cad6724eddd32
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri May 08 22:46:06 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/aadb5f0c88651e5fb6399c01b57cad6724eddd32 [^]

Fixes issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Pos terminal implementation of separate threads importing POS data, making sure that POS transactions
send from Web POS are stored as import entries, maintaining the usage of POS Error table.
Adding POS Terminal to IMPORT ENTRY table.

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src/org/openbravo/retail/posterminal/CustomerAddrLoader.java
M src/org/openbravo/retail/posterminal/CustomerLoader.java
M src/org/openbravo/retail/posterminal/OrderLoader.java
M src/org/openbravo/retail/posterminal/POSDataSynchronizationErrorHandler.java
M src/org/openbravo/retail/posterminal/ProcessCashClose.java
M src/org/openbravo/retail/posterminal/ProcessCashMgmt.java
M src/org/openbravo/retail/posterminal/TerminalServlet.java
A src-db/database/model/modifiedTables/C_IMPORT_ENTRY.xml
A src-db/database/model/modifiedTables/C_IMPORT_ENTRY_ARCHIVE.xml
A src/org/openbravo/retail/posterminal/importprocess/CashManagementImportEntryProcessor.java
A src/org/openbravo/retail/posterminal/importprocess/CashUpImportEntryProcessor.java
A src/org/openbravo/retail/posterminal/importprocess/CustomerAddrImportEntryProcessor.java
A src/org/openbravo/retail/posterminal/importprocess/CustomerImportEntryProcessor.java
A src/org/openbravo/retail/posterminal/importprocess/OrderImportEntryProcessor.java
A src/org/openbravo/retail/posterminal/importprocess/POSImportEntryProcessor.java
---
(0077257)
mtaal (manager)
2015-05-08 22:57

Changes to tests:
https://code.openbravo.com/tools/automation/pi-mobile-sandbox/rev/9c921739a286 [^]
(0077259)
hgbot (developer)
2015-05-08 23:52

Repository: erp/devel/pi
Changeset: a9eb3772728bdb52cbdfe14b546f067589f90281
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri May 08 23:52:18 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a9eb3772728bdb52cbdfe14b546f067589f90281 [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Revert small change to M_OFFER_TYPE table which should not have been committed/pushed

---
M src-db/database/sourcedata/M_OFFER_TYPE.xml
---
(0077261)
hgbot (developer)
2015-05-09 00:15

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 8ae305e995e2abdd9088684407975e1fab01e53b
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sat May 09 00:14:40 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/8ae305e995e2abdd9088684407975e1fab01e53b [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Make sure that import entries with an error when stored in POS Error table are not set as Error in import
entry table

---
M src/org/openbravo/mobile/core/process/DataSynchronizationErrorHandler.java
M src/org/openbravo/mobile/core/process/DataSynchronizationProcess.java
---
(0077262)
hgbot (developer)
2015-05-10 00:08

Repository: erp/devel/pi
Changeset: f7642fa1db3c27f8b191d9d1df57d63881b7e4dc
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sun May 10 00:07:35 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f7642fa1db3c27f8b191d9d1df57d63881b7e4dc [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Set session in variables secure app for default operation, make sure that import entry manager archive
does not start too early

---
M src-core/src/org/openbravo/base/VariablesBase.java
M src/org/openbravo/base/secureApp/VariablesSecureApp.java
M src/org/openbravo/service/importprocess/ImportEntryArchiveManager.java
M src/org/openbravo/service/importprocess/ImportEntryManager.java
---
(0077263)
hgbot (developer)
2015-05-10 22:17

Repository: erp/devel/pi
Changeset: 7f5dfe606b09a96e53622ea9df470fcb32448dba
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sun May 10 22:16:50 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7f5dfe606b09a96e53622ea9df470fcb32448dba [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
When processing import entries create a VariablesSecureApp with a 'fake' Request and Session object to better
support in process setting of session and other vars

---
M src-core/src/org/openbravo/base/VariablesBase.java
M src/org/openbravo/base/secureApp/VariablesSecureApp.java
M src/org/openbravo/service/importprocess/ImportEntryProcessor.java
---
(0077268)
hgbot (developer)
2015-05-11 11:08

Repository: erp/devel/pi
Changeset: e1467989d518b0bf9fb1ebe14a8f8f7bdcb22872
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Mon May 11 11:07:58 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e1467989d518b0bf9fb1ebe14a8f8f7bdcb22872 [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Set VariablesSecureApp also when OBContext gets re-used

---
M src/org/openbravo/service/importprocess/ImportEntryProcessor.java
---
(0077277)
hgbot (developer)
2015-05-11 13:11

Repository: erp/devel/pi
Changeset: 279951a46763802af8d6ad33b056e4b2831cea63
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Mon May 11 13:11:25 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/279951a46763802af8d6ad33b056e4b2831cea63 [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Do not start import thread until notified. Make sure that import threads are all deamon threads and that shutdown
works more aggressively.

---
M src/org/openbravo/service/importprocess/ImportEntryArchiveManager.java
M src/org/openbravo/service/importprocess/ImportEntryManager.java
M src/org/openbravo/service/importprocess/ImportEntryProcessor.java
M src/org/openbravo/service/importprocess/ImportProcessContextListener.java
---
(0077278)
hgbot (developer)
2015-05-11 13:12

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 737c90197034666767b5d5c8e42712b5186abd16
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Mon May 11 13:12:41 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/737c90197034666767b5d5c8e42712b5186abd16 [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Also return context info on a successfull insert of an import entry

---
M src/org/openbravo/mobile/core/process/DataSynchronizationProcess.java
---
(0077310)
hudsonbot (developer)
2015-05-11 21:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a55bc3c14e8c [^]
Maturity status: Test
(0077311)
hudsonbot (developer)
2015-05-11 21:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a55bc3c14e8c [^]
Maturity status: Test
(0077312)
hudsonbot (developer)
2015-05-11 21:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a55bc3c14e8c [^]
Maturity status: Test
(0077313)
hudsonbot (developer)
2015-05-11 21:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a55bc3c14e8c [^]
Maturity status: Test
(0077315)
hudsonbot (developer)
2015-05-11 21:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a55bc3c14e8c [^]
Maturity status: Test
(0077317)
hudsonbot (developer)
2015-05-11 21:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a55bc3c14e8c [^]
Maturity status: Test
(0077324)
hgbot (developer)
2015-05-12 10:24

Repository: tools/automation/pi-mobile
Changeset: fafa1d520d6d280f8c65de99ee882054137e7dab
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue May 12 10:24:07 2015 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/fafa1d520d6d280f8c65de99ee882054137e7dab [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Added tests which check that Import Entry table is being used and that no errors remain

---
M src-test/org/openbravo/test/mobile/common/selenium/MobileCoreTerminalHelper.java
M src-test/org/openbravo/test/mobile/common/selenium/database/DatabaseHelperSelect.java
M src-test/org/openbravo/test/mobile/common/selenium/database/WebPOSDatabaseHelper.java
M src-test/org/openbravo/test/mobile/common/selenium/terminals/MobileProcurementTerminalHelper.java
M src-test/org/openbravo/test/mobile/common/selenium/terminals/WebPOSExtModulesTerminalHelper.java
M src-test/org/openbravo/test/mobile/common/selenium/terminals/WebPOSTerminalHelper.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cashmanagement/CMGa10_CashManagementDeposit.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cashup/CashupOnce.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/ReceiptsSearchExample.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/CreateMultiorder.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/CreateSaleWithChange.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/CreateSaleWithEAN.java
A src-test/org/openbravo/test/mobile/common/selenium/database/DatabaseHelperCount.java
---
(0077487)
hgbot (developer)
2015-05-15 12:27

Repository: erp/devel/pi
Changeset: 7f4f4c688f6da815dc7bc556c14220a5b40e7b7e
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri May 15 12:23:20 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7f4f4c688f6da815dc7bc556c14220a5b40e7b7e [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Solve javadoc errors

---
M src/org/openbravo/service/importprocess/ImportEntryArchiveManager.java
M src/org/openbravo/service/importprocess/ImportEntryManager.java
M src/org/openbravo/service/importprocess/ImportEntryProcessor.java
---
(0077511)
hudsonbot (developer)
2015-05-16 05:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/33b0ebaa36ae [^]
Maturity status: Test
(0077667)
hgbot (developer)
2015-05-22 16:13

Repository: erp/devel/pi
Changeset: 6ee939d3584077fd7408994f0d81edeec0e2abd8
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri May 22 16:12:19 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6ee939d3584077fd7408994f0d81edeec0e2abd8 [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Increased size of error info

---
M src-db/database/model/tables/C_IMPORT_ENTRY.xml
M src-db/database/model/tables/C_IMPORT_ENTRY_ARCHIVE.xml
---
(0077673)
hgbot (developer)
2015-05-24 12:10

Repository: erp/devel/pi
Changeset: c702e1364264b7709e2231adc2fe5b188b9804e8
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sun May 24 12:10:22 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c702e1364264b7709e2231adc2fe5b188b9804e8 [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Backout of changeset 6ee939d35840 because of failing dbcons

---
M src-db/database/model/tables/C_IMPORT_ENTRY.xml
M src-db/database/model/tables/C_IMPORT_ENTRY_ARCHIVE.xml
---
(0077720)
hudsonbot (developer)
2015-05-25 18:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8cc85f698754 [^]
Maturity status: Test
(0077722)
hudsonbot (developer)
2015-05-25 18:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8cc85f698754 [^]
Maturity status: Test
(0077977)
hgbot (developer)
2015-06-02 12:47

Repository: erp/devel/pi
Changeset: 0e4febf32416c4b10a86a54c4bfe87747e7eea94
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Jun 02 12:46:43 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0e4febf32416c4b10a86a54c4bfe87747e7eea94 [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
- Don't queue complete entry but only needed id's to recreate obcontext and reload entry
- Only load maxBatchSize per type of data, handling each type of data separately makes them less influence eachother, the order of the type of data is based on sequence of list reference, order makes business sense also
- Added process to reprocess entries which are in error
- added several configuration parameters which allow controlling number of threads, queue size and task queue size from properties, sensible defaults have been set, also prevention mechanism for 'crazy' values has been implemented
- centralized the threadpool, so all processors share the same queue together with the main thread
- the main thread now uses a scroll method, importentries are removed from the session right after assigning to the processor to decrease memory foot print
- the main thread now processes entries by type of data, in order of the sequence number of the type of data, this gives better predictable results and also gives a better change that different types of data don't block eachother
- replaced the stored column with the created column, to make table smaller, revisited the index
- added role to the import entry table, so that it is stored with the entry, as it is needed to rebuild the obcontext when processing the entry, as the role of the user can have changed or the default role is not suited for the entry to be handled.
- made field length of json and errorinfo columns to 10 million, added testcase to proof that 10million characters can be saved in the json/errorinfo columns
- let the ImportEntryManager thread start when mobile core starts in the application, using a context listener
- when adding a new import entry check both in the import entry as well as in the import entry archive table if it was already passed in
- don't wait anymore after waking up from the managerWaitTime
- when saving import entry as error, make sure that the obcontext is only temporarily replaced with the admin context, restore the previous context
- set the thread name in the threadfactory

---
M src-db/database/model/tables/C_IMPORT_ENTRY.xml
M src-db/database/model/tables/C_IMPORT_ENTRY_ARCHIVE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-test/src/org/openbravo/test/AllAntTaskTests.java
M src-test/src/org/openbravo/test/AllQuickAntTaskTests.java
M src-test/src/org/openbravo/test/AntTaskTests.java
M src/org/openbravo/service/importprocess/ImportEntryArchiveManager.java
M src/org/openbravo/service/importprocess/ImportEntryManager.java
M src/org/openbravo/service/importprocess/ImportEntryProcessor.java
M src/org/openbravo/service/importprocess/ImportProcessUtils.java
A src-test/src/org/openbravo/test/system/ImportEntrySizeTest.java
A src/org/openbravo/service/importprocess/ImportReprocessErrorEntries.java
A src/org/openbravo/service/importprocess/ProcessImportEntriesProcessActionHandler.java
---
(0077978)
hgbot (developer)
2015-06-02 13:00

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 12ef1208af8820e7c458cdb89c26eaaf50640cdf
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Jun 02 13:00:03 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/12ef1208af8820e7c458cdb89c26eaaf50640cdf [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
- Added context listener to start import entry process
- Added config option to by pass import entry framework
- Performance improvement: only change the context back if it was changed
- Performance improvement: don't send sourceVersion back on transaction requests

---
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src/org/openbravo/mobile/core/process/DataSynchronizationImportProcess.java
M src/org/openbravo/mobile/core/process/DataSynchronizationProcess.java
M src/org/openbravo/mobile/core/process/JSONProcessSimple.java
M src/org/openbravo/mobile/core/process/JSONPropertyToEntity.java
M src/org/openbravo/mobile/core/process/MobileService.java
A src/org/openbravo/mobile/core/process/DataSynchronizationContextListener.java
---
(0077979)
hgbot (developer)
2015-06-02 13:07

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 56e20d9de3edb5449c39e9be29bc17a3e3c7a517
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Jun 02 13:06:59 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/56e20d9de3edb5449c39e9be29bc17a3e3c7a517 [^]

Related to issue Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
- processor changed the queries to search if there are previous records: use timestamp, if there are errors then make the entry also in error
- make most data to be imported by organization as this prevents too many threads
- removed not needed getMaxNumberOfThreads methods

---
M src/org/openbravo/retail/posterminal/importprocess/CashUpImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/CustomerAddrImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/CustomerImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/OrderImportEntryProcessor.java
---
(0077991)
hgbot (developer)
2015-06-02 16:40

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: bbae9175c0d80ad72a2eb058e45ddb94b670426f
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Jun 02 16:40:01 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/bbae9175c0d80ad72a2eb058e45ddb94b670426f [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Updated license text

---
M src/org/openbravo/mobile/core/process/DataSynchronizationContextListener.java
---
(0078034)
hudsonbot (developer)
2015-06-03 18:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/084e25f8f2cd [^]
Maturity status: Test
(0078047)
hgbot (developer)
2015-06-04 08:17

Repository: erp/devel/pi
Changeset: 56b1ee2b3e33a2d83e938c58526c4c9a881312a0
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Thu Jun 04 08:17:20 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/56b1ee2b3e33a2d83e938c58526c4c9a881312a0 [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Added process to restart entry manager process and report on simple state (number of tasks in queue)

---
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_TREENODE.xml
M src-db/database/sourcedata/OBUIAPP_PROCESS.xml
M src/org/openbravo/service/importprocess/ImportEntryManager.java
M src/org/openbravo/service/importprocess/ProcessImportEntriesProcessActionHandler.java
---
(0078075)
hudsonbot (developer)
2015-06-04 14:27

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c031eb54738d [^]
Maturity status: Test
(0078109)
hgbot (developer)
2015-06-05 09:05

Repository: erp/devel/pi
Changeset: 39e73c518b14949aadfa4dabcea32a66322056e4
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Jun 05 09:04:54 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/39e73c518b14949aadfa4dabcea32a66322056e4 [^]

Related to issue Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Only read all non-clob columns from c_import_entry to prevent oracle driver reserving large memory chunks. Still read all other
properties as they can be used by derived classes to decide to handle or not to handle a specific import entry.

---
M src/org/openbravo/service/importprocess/ImportEntryManager.java
M src/org/openbravo/service/importprocess/ImportEntryProcessor.java
---
(0078110)
hgbot (developer)
2015-06-05 09:06

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 85bd82529d018d7141bbbd7ee4764de3f39847da
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Jun 05 09:06:06 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/85bd82529d018d7141bbbd7ee4764de3f39847da [^]

Related to issue Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Use ImportEntryInformation class instead of ImportEntry in some parts of the application

---
M src/org/openbravo/retail/posterminal/importprocess/CashManagementImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/CashUpImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/CustomerAddrImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/CustomerImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/OrderImportEntryProcessor.java
---
(0078116)
hgbot (developer)
2015-06-05 11:07

Repository: erp/devel/pi
Changeset: aec312b262e2ea548356c3bfa30b916253e2f11f
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Jun 05 11:07:14 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/aec312b262e2ea548356c3bfa30b916253e2f11f [^]

Related to issue Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Changed warn to debug, can be set back to warn when subclass implementation has been improved

---
M src/org/openbravo/service/importprocess/ImportEntryProcessor.java
---
(0078123)
hgbot (developer)
2015-06-06 10:45

Repository: erp/devel/pi
Changeset: 329266db2ac8a0405e647fefd7296b1364fae8df
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Jun 05 23:09:57 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/329266db2ac8a0405e647fefd7296b1364fae8df [^]

Related to issue Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Close the scrollable result

---
M src/org/openbravo/service/importprocess/ImportEntryManager.java
---
(0078129)
hudsonbot (developer)
2015-06-06 16:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7419f65cdeb3 [^]
Maturity status: Test
(0078130)
hudsonbot (developer)
2015-06-06 16:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7419f65cdeb3 [^]
Maturity status: Test
(0078131)
hudsonbot (developer)
2015-06-06 16:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7419f65cdeb3 [^]
Maturity status: Test
(0078132)
hgbot (developer)
2015-06-06 19:48

Repository: erp/devel/pi
Changeset: 8c14e3937b6070016f796424abe213401c79d419
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sat Jun 06 19:47:51 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8c14e3937b6070016f796424abe213401c79d419 [^]

Related to issue Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Again read the complete import entry, much simpler interface and the previous oom seemed to be related to not closing the scrollableresults

---
M src/org/openbravo/service/importprocess/ImportEntryManager.java
M src/org/openbravo/service/importprocess/ImportEntryProcessor.java
---
(0078133)
hgbot (developer)
2015-06-06 19:49

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 984dd32bf4970802a0db337d7ea395b83140c5cb
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sat Jun 06 19:48:54 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/984dd32bf4970802a0db337d7ea395b83140c5cb [^]

Related to issue Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Moved back to previous API with ImportEntry

---
M src/org/openbravo/retail/posterminal/importprocess/CashManagementImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/CashUpImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/CustomerAddrImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/CustomerImportEntryProcessor.java
M src/org/openbravo/retail/posterminal/importprocess/OrderImportEntryProcessor.java
---
(0078134)
hudsonbot (developer)
2015-06-07 01:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/25f553479e35 [^]
Maturity status: Test
(0078135)
hgbot (developer)
2015-06-07 13:10

Repository: erp/devel/pi
Changeset: 41fa0431e85ac149d42e445ab7bc92e7892f8d73
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sun Jun 07 13:09:55 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/41fa0431e85ac149d42e445ab7bc92e7892f8d73 [^]

Related to issue Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Removed default value of imported column, set default value on importstatus, various smaller changes from code review comments

---
M src-db/database/model/tables/C_IMPORT_ENTRY.xml
M src/org/openbravo/service/importprocess/ImportEntryArchiveManager.java
M src/org/openbravo/service/importprocess/ImportEntryManager.java
M src/org/openbravo/service/importprocess/ImportEntryProcessor.java
M src/org/openbravo/service/importprocess/ImportReprocessErrorEntries.java
M src/org/openbravo/service/importprocess/ProcessImportEntriesProcessActionHandler.java
---
(0078137)
hgbot (developer)
2015-06-07 17:27

Repository: erp/devel/pi
Changeset: c57a5fc3eaf2ebb2d7f251fe36144cb62b6246b9
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sun Jun 07 17:26:57 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c57a5fc3eaf2ebb2d7f251fe36144cb62b6246b9 [^]

Related to issue Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Evict the import entry from the session to free mem asap

---
M src/org/openbravo/service/importprocess/ImportEntryManager.java
---
(0078138)
hudsonbot (developer)
2015-06-07 19:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/456fc69bb708 [^]
Maturity status: Test
(0078143)
hudsonbot (developer)
2015-06-08 11:09

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/129a8588e600 [^]
Maturity status: Test
(0078151)
hgbot (developer)
2015-06-09 08:08

Repository: erp/devel/pi
Changeset: 326ba5d4ca99b7ffb718f7b2e5adc836d9881f91
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Mon Jun 08 22:58:15 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/326ba5d4ca99b7ffb718f7b2e5adc836d9881f91 [^]

Related to issue Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Set minimum queue size to sensible value

---
M src/org/openbravo/service/importprocess/ImportEntryManager.java
---
(0078159)
hudsonbot (developer)
2015-06-09 14:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6773a4d3ca06 [^]
Maturity status: Test
(0078218)
hgbot (developer)
2015-06-11 17:14

Repository: erp/devel/pi
Changeset: f6e2f6a4c29b3af37cf015682b0741edbd3b741d
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Thu Jun 11 12:37:01 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f6e2f6a4c29b3af37cf015682b0741edbd3b741d [^]

Related to issue Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Added comments, removed not needed flush, apparently there is a case that the executorservice queue is null, handle this

---
M src/org/openbravo/service/importprocess/ImportEntryManager.java
---
(0078229)
hgbot (developer)
2015-06-12 11:49

Repository: erp/devel/pi
Changeset: 83a0f8d2d0838e5497ff55cacc10c61d213e322e
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Thu Jun 11 17:17:02 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/83a0f8d2d0838e5497ff55cacc10c61d213e322e [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Initialize organisation structure provider before processing

---
M src/org/openbravo/service/importprocess/ImportEntryProcessor.java
---
(0078257)
hudsonbot (developer)
2015-06-12 16:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ebf462f93acf [^]
Maturity status: Test
(0078261)
hgbot (developer)
2015-06-13 13:41

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: da16d3231b3add7a254a3cf9eaa88a9b133be601
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sat Jun 13 13:41:13 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/da16d3231b3add7a254a3cf9eaa88a9b133be601 [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Always commit and close retail operations

---
M src/org/openbravo/mobile/core/process/MobileImportEntryProcessorRunnable.java
---
(0078265)
hgbot (developer)
2015-06-13 19:32

Repository: erp/devel/pi
Changeset: 875a134c2abb8ce054d80631ef3adbfad83a058a
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sat Jun 13 13:37:59 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/875a134c2abb8ce054d80631ef3adbfad83a058a [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Added extra checks in the import entry processing so that sessions/transactions are really committed

---
M src/org/openbravo/service/importprocess/ImportEntryManager.java
M src/org/openbravo/service/importprocess/ImportEntryProcessor.java
---
(0078266)
hudsonbot (developer)
2015-06-14 19:57

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1cf5ab8b5006 [^]
Maturity status: Test
(0078271)
hudsonbot (developer)
2015-06-14 19:58

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1cf5ab8b5006 [^]
Maturity status: Test
(0078288)
hgbot (developer)
2015-06-15 10:44

Repository: erp/devel/pi
Changeset: 45083853c520e7a854e05f3755ca4429ca404fc8
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Mon Jun 15 06:34:08 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/45083853c520e7a854e05f3755ca4429ca404fc8 [^]

Related to issue 29766: Retail Operations Buffer: store all transactions in operations table before processing
Small re-ordering so that code uses loop instead of recursive call

---
M src/org/openbravo/service/importprocess/ImportEntryProcessor.java
---
(0078308)
hudsonbot (developer)
2015-06-16 00:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/fa5bbdf39822 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-05-04 16:10 mtaal New Issue
2015-05-04 16:10 mtaal Assigned To => mtaal
2015-05-04 16:10 mtaal Triggers an Emergency Pack => No
2015-05-08 22:37 hgbot Checkin
2015-05-08 22:37 hgbot Note Added: 0077254
2015-05-08 22:39 hgbot Checkin
2015-05-08 22:39 hgbot Note Added: 0077255
2015-05-08 22:46 hgbot Checkin
2015-05-08 22:46 hgbot Note Added: 0077256
2015-05-08 22:46 hgbot Status new => resolved
2015-05-08 22:46 hgbot Resolution open => fixed
2015-05-08 22:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/aadb5f0c88651e5fb6399c01b57cad6724eddd32 [^]
2015-05-08 22:57 mtaal Note Added: 0077257
2015-05-08 23:52 hgbot Checkin
2015-05-08 23:52 hgbot Note Added: 0077259
2015-05-09 00:15 hgbot Checkin
2015-05-09 00:15 hgbot Note Added: 0077261
2015-05-10 00:08 hgbot Checkin
2015-05-10 00:08 hgbot Note Added: 0077262
2015-05-10 22:17 hgbot Checkin
2015-05-10 22:17 hgbot Note Added: 0077263
2015-05-11 11:08 hgbot Checkin
2015-05-11 11:08 hgbot Note Added: 0077268
2015-05-11 13:11 hgbot Checkin
2015-05-11 13:11 hgbot Note Added: 0077277
2015-05-11 13:12 hgbot Checkin
2015-05-11 13:12 hgbot Note Added: 0077278
2015-05-11 21:53 hudsonbot Checkin
2015-05-11 21:53 hudsonbot Note Added: 0077310
2015-05-11 21:53 hudsonbot Checkin
2015-05-11 21:53 hudsonbot Note Added: 0077311
2015-05-11 21:53 hudsonbot Checkin
2015-05-11 21:53 hudsonbot Note Added: 0077312
2015-05-11 21:53 hudsonbot Checkin
2015-05-11 21:53 hudsonbot Note Added: 0077313
2015-05-11 21:53 hudsonbot Checkin
2015-05-11 21:53 hudsonbot Note Added: 0077315
2015-05-11 21:53 hudsonbot Checkin
2015-05-11 21:53 hudsonbot Note Added: 0077317
2015-05-12 10:24 hgbot Checkin
2015-05-12 10:24 hgbot Note Added: 0077324
2015-05-15 12:27 hgbot Checkin
2015-05-15 12:27 hgbot Note Added: 0077487
2015-05-16 05:21 hudsonbot Checkin
2015-05-16 05:21 hudsonbot Note Added: 0077511
2015-05-19 08:23 alostale Relationship added causes 0029921
2015-05-22 16:13 hgbot Checkin
2015-05-22 16:13 hgbot Note Added: 0077667
2015-05-24 12:10 hgbot Checkin
2015-05-24 12:10 hgbot Note Added: 0077673
2015-05-25 18:01 hudsonbot Checkin
2015-05-25 18:01 hudsonbot Note Added: 0077720
2015-05-25 18:01 hudsonbot Checkin
2015-05-25 18:01 hudsonbot Note Added: 0077722
2015-06-02 12:47 hgbot Checkin
2015-06-02 12:47 hgbot Note Added: 0077977
2015-06-02 13:00 hgbot Checkin
2015-06-02 13:00 hgbot Note Added: 0077978
2015-06-02 13:07 hgbot Checkin
2015-06-02 13:07 hgbot Note Added: 0077979
2015-06-02 16:40 hgbot Checkin
2015-06-02 16:40 hgbot Note Added: 0077991
2015-06-02 17:35 mtaal File Added: Code Review Comments and Reactions
2015-06-03 18:55 hudsonbot Checkin
2015-06-03 18:55 hudsonbot Note Added: 0078034
2015-06-04 08:17 hgbot Checkin
2015-06-04 08:17 hgbot Note Added: 0078047
2015-06-04 14:27 hudsonbot Checkin
2015-06-04 14:27 hudsonbot Note Added: 0078075
2015-06-05 09:05 hgbot Checkin
2015-06-05 09:05 hgbot Note Added: 0078109
2015-06-05 09:06 hgbot Checkin
2015-06-05 09:06 hgbot Note Added: 0078110
2015-06-05 11:07 hgbot Checkin
2015-06-05 11:07 hgbot Note Added: 0078116
2015-06-06 10:45 hgbot Checkin
2015-06-06 10:45 hgbot Note Added: 0078123
2015-06-06 16:53 hudsonbot Checkin
2015-06-06 16:53 hudsonbot Note Added: 0078129
2015-06-06 16:53 hudsonbot Checkin
2015-06-06 16:53 hudsonbot Note Added: 0078130
2015-06-06 16:53 hudsonbot Checkin
2015-06-06 16:53 hudsonbot Note Added: 0078131
2015-06-06 19:48 hgbot Checkin
2015-06-06 19:48 hgbot Note Added: 0078132
2015-06-06 19:49 hgbot Checkin
2015-06-06 19:49 hgbot Note Added: 0078133
2015-06-07 01:56 hudsonbot Checkin
2015-06-07 01:56 hudsonbot Note Added: 0078134
2015-06-07 13:10 hgbot Checkin
2015-06-07 13:10 hgbot Note Added: 0078135
2015-06-07 17:27 hgbot Checkin
2015-06-07 17:27 hgbot Note Added: 0078137
2015-06-07 19:21 hudsonbot Checkin
2015-06-07 19:21 hudsonbot Note Added: 0078138
2015-06-08 11:09 hudsonbot Checkin
2015-06-08 11:09 hudsonbot Note Added: 0078143
2015-06-09 08:08 hgbot Checkin
2015-06-09 08:08 hgbot Note Added: 0078151
2015-06-09 14:22 hudsonbot Checkin
2015-06-09 14:22 hudsonbot Note Added: 0078159
2015-06-11 17:14 hgbot Checkin
2015-06-11 17:14 hgbot Note Added: 0078218
2015-06-11 19:18 marvintm Review Assigned To => marvintm
2015-06-11 19:18 marvintm Status resolved => closed
2015-06-11 19:18 marvintm Fixed in Version => RR15Q3
2015-06-12 11:49 hgbot Checkin
2015-06-12 11:49 hgbot Note Added: 0078229
2015-06-12 16:59 hudsonbot Checkin
2015-06-12 16:59 hudsonbot Note Added: 0078257
2015-06-13 13:41 hgbot Checkin
2015-06-13 13:41 hgbot Note Added: 0078261
2015-06-13 19:32 hgbot Checkin
2015-06-13 19:32 hgbot Note Added: 0078265
2015-06-14 19:57 hudsonbot Checkin
2015-06-14 19:57 hudsonbot Note Added: 0078266
2015-06-14 19:58 hudsonbot Checkin
2015-06-14 19:58 hudsonbot Note Added: 0078271
2015-06-15 10:44 hgbot Checkin
2015-06-15 10:44 hgbot Note Added: 0078288
2015-06-16 00:37 hudsonbot Checkin
2015-06-16 00:37 hudsonbot Note Added: 0078308
2015-06-17 02:37 eintelau Issue Monitored: eintelau
2015-06-17 02:37 eintelau Issue End Monitor: eintelau
2015-07-22 10:56 alostale Relationship added related to 0030406
2016-02-24 20:40 dmitry_mezentsev Relationship added causes 0032331
2016-11-22 13:09 alostale Relationship added related to 0034596


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker